import { defineConfig, loadEnv } from 'vite'
import vue from '@vitejs/plugin-vue'
import { quasar, transformAssetUrls } from '@quasar/vite-plugin'
import path from 'path'
import fs from 'fs'
function emptyDir(dir,skip) {
  for (const file of fs.readdirSync(dir)) {
      if (skip === null || skip === void 0 ? void 0 : skip.includes(file)) {
          continue;
      }
      const abs = path.resolve(dir, file);
      // baseline is Node 12 so can't use rmSync :(
      if (fs.lstatSync(abs).isDirectory()) {
          emptyDir(abs);
          fs.rmdirSync(abs);
      }
      else {
          fs.unlinkSync(abs);
      }
  }
}
export default defineConfig(({ command, mode }) => {
  // 根据当前工作目录中的 `mode` 加载 .env 文件
  // 设置第三个参数为 '' 来加载所有环境变量，而不管是否有 `VITE_` 前缀。
  // const env = loadEnv(mode, process.cwd(), '')
  console.log(command,mode)
  emptyDir(path.join(__dirname,'../public/js'))
  return {

    plugins: [
      vue({
        template: { transformAssetUrls }
      }),
      quasar({
        sassVariables: path.join(__dirname,'./quasar-variables.sass')
      })
    ],
    // vite 配置
    define: {
      BASE_URL: JSON.stringify(command=='build' ? '/' : '/') // http://jingcai.quickfly.eu.org:3000
      // __APP_ENV__: env.APP_ENV,
    },
    base: '../',
    publicDir: false,
    build: {
      outDir: '../public/',
      assetsDir: './js/',
      emptyOutDir: false,
      rollupOptions: {
        input: {
          register: path.resolve(__dirname, 'register/index.html'),
          wx: path.resolve(__dirname, 'bind/index.html'),
        },
      },
    }
  }
})
